Package de.willuhn.jameica.hbci.passports.rdh

# Class KontoList

java.lang.Object
de.willuhn.jameica.gui.parts.AbstractTablePart
de.willuhn.jameica.gui.parts.TablePart
de.willuhn.jameica.hbci.gui.parts.KontoList
de.willuhn.jameica.hbci.passports.rdh.KontoList

All Implemented Interfaces:
  `de.willuhn.jameica.gui.extension.Extendable`, `de.willuhn.jameica.gui.Part`

public class KontoList extends KontoList
Vorkonfigurierte Tabelle zur Anzeige der zugeordneten und zuordenbaren Konten zu einem Schluessel. BUGZILLA 314

## Nested Class Summary

## Nested classes/interfaces inherited from class de.willuhn.jameica.hbci.gui.parts.KontoList

`KontoList.SaldoMessageConsumer`

## Nested classes/interfaces inherited from class de.willuhn.jameica.gui.parts.AbstractTablePart

`de.willuhn.jameica.gui.parts.AbstractTablePart.AbstractTableItem`

## Field Summary

### Fields inherited from class de.willuhn.jameica.gui.parts.TablePart

`tableFormatter`

### Fields inherited from class de.willuhn.jameica.gui.parts.AbstractTablePart

`action, changeable, checkable, columns, menu, multi, rememberColWidth, rememberOrder, rememberState, selectionListeners`

## Constructor Summary

Constructors
Constructor
Description
`KontoList(RDHKey key)`
ct.

## Method Summary

Modifier and Type
Method
Description
`void`
`paint(org.eclipse.swt.widgets.Composite parent)`

### Methods inherited from class de.willuhn.jameica.hbci.gui.parts.KontoList

`createFeatureEventContext, getExtendableID, setShowFilter`

### Methods inherited from class de.willuhn.jameica.gui.parts.TablePart

`addChangeListener, addItem, addItem, addItem, addItem, getCollator, getControlValue, getEditorControl, getItems, getItems, getSelection, getSummary, isEnabled, orderBy, orderBy, refreshSummary, removeAll, removeItem, restoreState, select, setChecked, setEnabled, setFormatter, setSummary, setTopIndex, size, sort, updateItem`

### Methods inherited from class de.willuhn.jameica.gui.parts.AbstractTablePart

`addColumn, addColumn, addColumn, addColumn, addColumn, addFeature, addFeature, addSelectionListener, asList, featureEvent, getFeature, hasEvent, isMulti, removeFeature, select, setCheckable, setChecked, setContextMenu, setMulti, setRememberColWidths, setRememberOrder, setRememberState`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### KontoList

public KontoList(RDHKey key) throws RemoteException
ct.

Parameters:
  `key` - der Schluessel, fuer den die Konten angezeigt werden sollen.
Throws:
  `RemoteException`

## Method Details

### paint

public void paint(org.eclipse.swt.widgets.Composite parent) throws RemoteException

Specified by:
  `paint` in interface `de.willuhn.jameica.gui.Part`
Overrides:
  `paint` in class `KontoList`
Throws:
  `RemoteException`
See Also:
  - `TablePart.paint(org.eclipse.swt.widgets.Composite)`